package globals

const (
	TTS_TEXT_WIFIPARING_APPARINGANDCONNECTING = "接收到WIFI配置参数，开始连接，可能时间比较长，请耐心等待"
	TTS_TEXT_BT_WIFIPARING                    = "进入蓝牙网络配对模式"
	TTS_TEXT_AP_WIFIPARING                    = "进入AP网络配对模式"
	TTS_TEXT_WIFICONNECTED                    = "联网成功"
	TTS_TEXT_SYSTEMBOOT                       = "很高兴遇见你，我是滴答"
	TTS_TEXT_NOTRECVINGWIFICONFIG             = "没有收到网络配置信息"
	TTS_TEXT_BLE_SUUCCESS_WAIT_CONFIG         = "低功耗蓝牙已连接，等待配网"
	TTS_TEXT_AP_WAIT_CONFIG                   = "当前在AP配网模式，等待配网"
	TTS_TEXT_WIFINOTCONNECT                   = "网络未连接"
	TTS_TEXT_REQSERVER_ERROR                  = "服务器请求失败，请重新配网"
	TTS_TEXT_BLE_CONNECT                      = "ble已连接"
	TTS_TEXT_BLE_DISCONNECT                   = "ble已断开"
	TTS_TEXT_WIFIPARINGSUCCESS                = "网络配对成功"
	TTS_TEXT_BT_ON                            = "开启传统蓝牙"
	TTS_TEXT_BT_OFF                           = "关闭传统蓝牙"
	TTS_ALARM_REMOVE_ALL                      = "删除全部闹钟成功"
	TTS_ALARM_REMOVE                          = "删除闹钟成功"
	TTS_ALARM_ADD                             = "闹钟设置成功"
	TTS_AP_APP_CONNECTED                      = "APP已通过wifi连接音箱"
	TTS_TEXT_WIFI_NOT_CONNECT                 = "网络有点问题，请根据APP提示重新连网"

	TTS_TEXT_WIFICONNECT_ERR_REPARING     = "wifi联网失败，请重新配网"
	TTS_TEXT_WIFICONNECT_ERR_PASS         = "ssid或密码错误，请重新配网"
	TTS_TEXT_WIFIPARING_ERR_SERVERCONNECT = "服务器连接失败，请重新配网"

	TTS_NOT_UNSUPPORT           = "不支持当前操作"
	TTS_BOOT_DONE               = "你好，欢迎使用三音音箱"
	TTS_WIFIPARING_FIRST_NOTICE = "请使用网易三音APP ，进入账号页面 为音箱配网，请下载三音APP，为音箱配网"

	TTS_REMOVE_ALARM_ALL  = "已经删除全部闹钟"
	TTS_REMOVE_REMIND_ALL = "已经删除全部提醒"

	TTS_MUSIC_TINA_ERR = "播放器异常"

	TTS_ALREADY_THE_SONG    = "我们正在听这首歌啊"
	TTS_APP_NOT_SEARCH_SONG = "歌曲列表中没有找到指定播放歌曲"
	TTS_REPEAT_NIL          = "可惜，这个我帮不到你"

	TTS_MUSIC_ERR_1 = "当前没有音乐内容，想听音乐你可以说，嘀嗒嘀嗒，来点音乐"
	TTS_MUSIC_ERR_2 = "抱歉，当前内容来自手机等设备，我也无法切换播放模式"
	TTS_MUSIC_ERR_3 = "抱歉，当前内容来自手机等设备，我也无法为你收藏"
	TTS_MUSIC_ERR_4 = "没有播放中的音乐，无法收藏"
	TTS_MUSIC_ERR_5 = "没有音乐可以播放，你可以说:嘀嗒嘀嗒，来点音乐"

	//TTS_DLNA_ERR_1 = "播放源失效，请点击下一首继续"
	TTS_DLNA_ERR_1 = "很抱歉，暂时无法播放这首歌，想听歌的话可以对我说，播放每日推荐"

	TTS_MUSIC_LIST_ONE = "现在只有一首歌了，想听更多歌曲的话可以对我说，嘀嗒嘀嗒，来首歌"
	TTS_RADIO_LIST_ONE = "现在只有一个节目了，为你继续播放"
	TTS_MUSIC_NEXT     = "下一首"
	TTS_MUSIC_PRE      = "上一首"
	TTS_NEED_UPDATE    = "不支持当前操作，请通过APP升级音箱软件"

	TTS_TEXT_BT_CONNECT_CONFLICT = "当前音箱蓝牙已被占用，请先断开"

	TTS_TEXT_RADIO_END   = "好的，不过你之前点的节目已经播完了，一起回味下最后收听的内容"
	TTS_TEXT_MUSIC_END   = "列表中歌曲已全部播完"
	TTS_TEXT_LAST_RADIO  = "抱歉，没有下一个节目了"
	TTS_TEXT_FIRST_RADIO = "抱歉，没有上一个节目了"
	TTS_TEXT_LAST_MUSIC  = "抱歉，没有下一首音乐了"
	TTS_TEXT_FIRST_MUSIC = "抱歉，没有上一首音乐了"

	// 产品暂时播放完成不播报tts，暂时内部用，非tts
	// 用于顺序播放完成的标志
	// 后续产品有顺序播放完成tts需求可以使用此tts
	TTS_TEXT_ORDER_PLAY_END_FLAG = "_ORDER_PLAY_END_FLAG"
)

var (
	MusicErrTtsMap map[string]string = map[string]string{
		string(MUSIC_LIST_NULL):        "没有歌曲可以播放",
		string(MUSIC_LIST):             "歌单播放异常，请在app端查看原因", // todo
		string(ALBUM_ID):               "该歌曲专辑全部无法播放，请在app端查看原因",
		string(ARTIST_ID):              "该歌手歌曲全部无法播放，请在app端查看原因",
		string(PRIVATE_FM):             "私人FM全部无法播放，请在app端查看原因",
		string(MUSIC_SHARE_RCMD):       "云村推荐音乐全部无法播放，请在app端查看原因", // 自己定义
		string(SIMILAR_SONG):           "相似歌曲全部无法播放，请在app端查看原因",   // todo
		string(USER_LISTS_CREATE):      "你创建的歌单全部无法播放，请在app端查看原因",
		string(USER_LISTS_COLLECT):     "你收藏的歌单全部无法播放，请在app端查看原因",
		string(USER_LISTS):             "你创建和收藏的歌单全部无法播放，请在app端查看原因",
		string(RED_FM):                 "我喜欢的音乐中歌曲全部无法播放，请在app端查看原因",
		string(MUSIC_LIST_WORD):        "这种类型的歌曲全部无法播放，请在app端查看原因",
		string(MUSIC_LIST_SERACH_WORD): "这种类型的歌曲全部无法播放，请在app端查看原因",
		string(ALBUM_ARTIST_ID):        "该歌手专辑全部无法播放，请在app端查看原因",
		string(OTHERS):                 "歌单播放异常，请在app端查看原因", // todo

		string(NEW_TOPLIST):          "你新歌榜中歌曲全部无法播放，请在app端查看原因",
		string(HOT_TOPLIST):          "你热歌榜中歌曲全部无法播放，请在app端查看原因",
		string(DAILY_PUSH):           "你每日推荐中歌曲全部无法播放，请在app端查看原因",
		string(DENON_TOPLIST):        "你电音榜中歌曲全部无法播放，请在app端查看原因",
		string(CLASSIC_TOPLIST):      "你云音乐古典音乐榜中歌曲全部无法播放，请在app端查看原因",
		string(BEATPORT_TOPLIST):     "你Beaport全球电子舞榜中歌曲全部无法播放，请在app端查看原因",
		string(ORIGINAL_TOPLIST):     "你原创榜中歌曲全部无法播放，请在app端查看原因",
		string(SORIGN_TOPLIST):       "你飙升榜中歌曲全部无法播放，请在app端查看原因",
		string(ACG_TOPLIST):          "你云音乐ACG音乐榜中歌曲全部无法播放，请在app端查看原因",
		string(US_BILLBOARD_TOPLIST): "你美国billboard周榜中歌曲全部无法播放，请在app端查看原因",
		string(JP_ORICON_TOPLIST):    "你日本oricon周榜中歌曲全部无法播放，请在app端查看原因",

		string(CH_NEW_TOPLIST): "你华语新歌榜中歌曲全部无法播放，请在app端查看原因",
		string(CH_HOT_TOPLIST): "你华语热歌榜中歌曲全部无法播放，请在app端查看原因",
		string(JP_NEW_LIST):    "你日语新歌中歌曲全部无法播放，请在app端查看原因",
		string(KOREA_NEW_LIST): "你韩语新歌中歌曲全部无法播放，请在app端查看原因",
		string(EU_US_NEW_LIST): "你欧美新歌中歌曲全部无法播放，请在app端查看原因",

		string(SERVER_RCMD): "没有音乐可以推送", // 来点音乐的错误播报,待与产品确定

		string(SINGLE_SONG): "单曲无法播放，请在app端查看原因",
	}
)
